summaryrefslogtreecommitdiffstats
path: root/source/l/alsa-plugins/alsa-plugins.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/alsa-plugins/alsa-plugins.SlackBuild')
-rwxr-xr-xsource/l/alsa-plugins/alsa-plugins.SlackBuild6
1 files changed, 3 insertions, 3 deletions
diff --git a/source/l/alsa-plugins/alsa-plugins.SlackBuild b/source/l/alsa-plugins/alsa-plugins.SlackBuild
index a64db3310..dc4ed9845 100755
--- a/source/l/alsa-plugins/alsa-plugins.SlackBuild
+++ b/source/l/alsa-plugins/alsa-plugins.SlackBuild
@@ -24,7 +24,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=alsa-plugins
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-4}
NUMJOBS=${NUMJOBS:-" -j$(expr $(nproc) + 1) "}
@@ -77,8 +77,8 @@ rm -rf $PKGNAM-$VERSION
tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
-# Revert two patches that are breaking USB audio:
-zcat $CWD/alsa-plugins.revert.fc3f5d51062ff438780e568995792dc809c908cc.6b996865126dd559ef186002e45dc6e1594291e7.patch.gz | patch -p1 -R --verbose || exit 1
+# Upstream fix for USB devices causing a double free:
+zcat $CWD/alsa-plugins.a4e7e1282c57a2f4e83afe9a4008042d8b4c5bb9.patch.gz | patch -p1 --verbose || exit 1
chown -R root:root .
find -L . \